package com.ruoyi.jjh.ent.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.jjh.ent.entity.JEnterpriseContact;
import com.ruoyi.jjh.ent.entity.JSmartReminders;
import com.ruoyi.jjh.ent.entity.request.JEnterpriseContactRequest;
import com.ruoyi.jjh.ent.service.JSmartRemindersService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.io.Serializable;
import java.util.Arrays;

/**
 * 智能提醒（j_smart_reminders）表控制层
 * @author du
 * @since 2024/7/1 13:33
 */
@RestController
@RequestMapping("/jjh/jSmartReminders")
@Api(tags = "智能提醒")
public class JSmartRemindersController extends BaseController {

    @Resource
    private JSmartRemindersService jSmartRemindersService;

    /**
     * 分页查询所有数据
     *
     * @param page               分页对象
     * @param jSmartReminders 查询实体
     * @return 所有数据
     */
//    @PreAuthorize("@ss.hasAnyRoles('admin,other-gov,gov')")
    @ApiOperation(value = "分页查询所有数据", response = JSmartReminders.class)
    @GetMapping
    public AjaxResult selectAll(Page<JSmartReminders> page, JSmartReminders jSmartReminders) {
        return success(jSmartRemindersService.page(page, jSmartReminders));
    }


    /**
     * 通过主键查询单条数据
     *
     * @param id 主键
     * @return 单条数据
     */
//    @PreAuthorize("@ss.hasAnyRoles('admin,other-gov,gov')")
    @ApiOperation(value = "通过主键查询单条数据", response = JSmartReminders.class)
    @GetMapping("{id}")
    public AjaxResult selectOne(@PathVariable Serializable id) {
        return success(jSmartRemindersService.getById(id));
    }

    /**
     * 新增数据
     *
     * @param jSmartReminders 实体对象
     * @return 新增结果
     */
//    @PreAuthorize("@ss.hasAnyRoles('admin,other-gov,gov')")
    @ApiOperation(value = "新增数据")
    @PostMapping
    public AjaxResult insert(@RequestBody JSmartReminders jSmartReminders) {
        return success(jSmartRemindersService.add(jSmartReminders));
    }

    /**
     * 修改数据
     *
     * @param jSmartReminders 实体对象
     * @return 修改结果
     */
//    @PreAuthorize("@ss.hasAnyRoles('admin,other-gov,gov')")
    @ApiOperation(value = "修改数据")
    @PutMapping
    public AjaxResult update(@RequestBody JSmartReminders jSmartReminders) {
        return success(jSmartRemindersService.updateById(jSmartReminders));
    }

    /**
     * 删除数据
     *
     * @param id 主键结合
     * @return 删除结果
     */
//    @PreAuthorize("@ss.hasAnyRoles('admin,other-gov,gov')")
    @ApiOperation(value = "删除数据")
    @DeleteMapping
    public AjaxResult delete(@RequestParam("id") Long id) {
        return success(jSmartRemindersService.removeById(id));
    }
}
